// This file should contains all the defaults settings shared in all environment files
// If you want to override properties for specific environment, do it in these files

import {LanguagesEnum} from "@app/shared/enums/languages.enum";
import {ThemeEnum} from "@app/shared/enums/theme.enum";

export const defaultEnvironment = {
  appTitle: "DLCM - Portal",
  production: false,
  theme: ThemeEnum.dlcm,
  defaultLanguage: LanguagesEnum.en,
  defaultPageSizeOption: 5,
  pageSizeOptions: [5, 10, 25, 50, 100],

  // Base URL For Module Applications
  ADMIN_APPLICATION: "https://to-set/administration",
  ACCESS_APPLICATION: "https://to-set/accession",
  INGEST_APPLICATION: "https://to-set/ingestion",
  PREINGEST_APPLICATION: "https://to-set/accession",
  STORAGION_APPLICATION: "https://to-set/storagion",

  // OAuth2 properties
  oauthOidc: false,
  oauthRequestAccessToken: true,
  oauthTokenEndpoint: "http://localhost/dlcm/authorization/token",
  oauthDummyClientSecret: "123abc",
  oauthClientId: "local-dev-angular",
  oauthResponseType: "token",
  oauthScope: "READ",
  oauthRequireHttps: false,
  oauthLoginUrl: "http://localhost/dlcm/authorization/authorize",
  oauthAllowedUrls: ["/api/"],
  oauthRedirectUrl: window.location.origin,
  oauthTimeoutFactor: 0.75,
  oauthPostLogoutRedirectUri: "",
  oauthLogoutUrl: "",
  oauthNonceStateSeparator: ";",
  oauthDisableNonceCheck: false,
  oauthSendAccessToken: true,

  // Others
  defaultNotificationErrorDurationInSeconds: 5,
  defaultNotificationSuccessDurationInSeconds: 3,
  defaultNotificationWarningDurationInSeconds: 3,
  defaultNotificationInformationDurationInSeconds: 3,
  modalHeight: "400px",
  modalWidth: "600px",
};

/*
 * For easier debugging in development mode, you can import the following file
 * to ignore zone related error stack frames such as `zone.run`, `zoneDelegate.invokeTask`.
 *
 * This import should be commented out in production mode because it will have a negative impact
 * on performance if an error is thrown.
 */
// import 'zone.js/dist/zone-error';  // Included with Angular CLI.
