import {ThemeEnum} from "@app/shared/enums/theme.enum";
import {defaultEnvironment} from "./environment.defaults";

export const environment: typeof defaultEnvironment | any = {
  ...defaultEnvironment,
  // Override OAuth2 properties
  appTitle: "DLCM - Portal",
  production: true,
  theme: ThemeEnum.yareta,

  ADMIN_APPLICATION: "https://test.dlcm.ch/administration",
  ACCESS_APPLICATION: "https://test.dlcm.ch/accession",
  INGEST_APPLICATION: "https://test.dlcm.ch/ingestion",
  PREINGEST_APPLICATION: "https://test.dlcm.ch/accession",
  STORAGION_APPLICATION: "https://test.dlcm.ch/storagion",


  // OAuth2 properties
  tokenEndpoint: "https://test.dlcm.ch/authorization/oauth/token",
  dummyClientSecret: "123abc",
  clientId: "dlcm-test-angular",
  responseType: "token",
  scope: "READ",
  requireHttps: false,
  loginUrl: "https://test.dlcm.ch/authorization/oauth/authorize",
  redirectUrl: "https://test.dlcm.ch/portal/",
};
